package co.pixelbeard.theanfieldwrap.data.responses;

import com.google.gson.annotations.SerializedName;

import java.util.List;

import co.pixelbeard.theanfieldwrap.data.NotificationSetting;
import co.pixelbeard.theanfieldwrap.networking.BaseResponse;

public class NotificationSettingsResponse extends BaseResponse {

    @SerializedName("preferences")
    List<NotificationSetting> settings;

    public NotificationSettingsResponse() {

    }

    public NotificationSettingsResponse(boolean success, String message, List<NotificationSetting> settings) {
        this.setSuccess(success);
        this.setMessage(message);
        this.settings = settings;
    }

    public List<NotificationSetting> getSettings() {
        return settings;
    }

    public void setSettings(List<NotificationSetting> settings) {
        this.settings = settings;
    }
}
